Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.84.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
127.84.128.0
Broadcast address
127.84.255.255
First usable
127.84.128.1
Last usable
127.84.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7F548000 · Integer 2136244224 to 2136276991
Reverse DNS zones
128.84.127.in-addr.arpa
129.84.127.in-addr.arpa
130.84.127.in-addr.arpa
131.84.127.in-addr.arpa
132.84.127.in-addr.arpa
133.84.127.in-addr.arpa
134.84.127.in-addr.arpa
135.84.127.in-addr.arpa
136.84.127.in-addr.arpa
137.84.127.in-addr.arpa
138.84.127.in-addr.arpa
139.84.127.in-addr.arpa
140.84.127.in-addr.arpa
141.84.127.in-addr.arpa
142.84.127.in-addr.arpa
143.84.127.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.01010100.10000000.00000000127.84.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01111111.01010100.10000000.00000000127.84.128.0
Broadcast01111111.01010100.11111111.11111111127.84.255.255
Split into smaller subnets/25

127.84.128.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.84.128.0/25127.84.128.1 to 127.84.128.126127.84.128.127126
2127.84.128.128/25127.84.128.129 to 127.84.128.254127.84.128.255126
3127.84.129.0/25127.84.129.1 to 127.84.129.126127.84.129.127126
4127.84.129.128/25127.84.129.129 to 127.84.129.254127.84.129.255126
5127.84.130.0/25127.84.130.1 to 127.84.130.126127.84.130.127126
6127.84.130.128/25127.84.130.129 to 127.84.130.254127.84.130.255126
7127.84.131.0/25127.84.131.1 to 127.84.131.126127.84.131.127126
8127.84.131.128/25127.84.131.129 to 127.84.131.254127.84.131.255126
9127.84.132.0/25127.84.132.1 to 127.84.132.126127.84.132.127126
10127.84.132.128/25127.84.132.129 to 127.84.132.254127.84.132.255126
11127.84.133.0/25127.84.133.1 to 127.84.133.126127.84.133.127126
12127.84.133.128/25127.84.133.129 to 127.84.133.254127.84.133.255126
13127.84.134.0/25127.84.134.1 to 127.84.134.126127.84.134.127126
14127.84.134.128/25127.84.134.129 to 127.84.134.254127.84.134.255126
15127.84.135.0/25127.84.135.1 to 127.84.135.126127.84.135.127126
16127.84.135.128/25127.84.135.129 to 127.84.135.254127.84.135.255126
17127.84.136.0/25127.84.136.1 to 127.84.136.126127.84.136.127126
18127.84.136.128/25127.84.136.129 to 127.84.136.254127.84.136.255126
19127.84.137.0/25127.84.137.1 to 127.84.137.126127.84.137.127126
20127.84.137.128/25127.84.137.129 to 127.84.137.254127.84.137.255126
21127.84.138.0/25127.84.138.1 to 127.84.138.126127.84.138.127126
22127.84.138.128/25127.84.138.129 to 127.84.138.254127.84.138.255126
23127.84.139.0/25127.84.139.1 to 127.84.139.126127.84.139.127126
24127.84.139.128/25127.84.139.129 to 127.84.139.254127.84.139.255126
25127.84.140.0/25127.84.140.1 to 127.84.140.126127.84.140.127126
26127.84.140.128/25127.84.140.129 to 127.84.140.254127.84.140.255126
27127.84.141.0/25127.84.141.1 to 127.84.141.126127.84.141.127126
28127.84.141.128/25127.84.141.129 to 127.84.141.254127.84.141.255126
29127.84.142.0/25127.84.142.1 to 127.84.142.126127.84.142.127126
30127.84.142.128/25127.84.142.129 to 127.84.142.254127.84.142.255126
31127.84.143.0/25127.84.143.1 to 127.84.143.126127.84.143.127126
32127.84.143.128/25127.84.143.129 to 127.84.143.254127.84.143.255126
33127.84.144.0/25127.84.144.1 to 127.84.144.126127.84.144.127126
34127.84.144.128/25127.84.144.129 to 127.84.144.254127.84.144.255126
35127.84.145.0/25127.84.145.1 to 127.84.145.126127.84.145.127126
36127.84.145.128/25127.84.145.129 to 127.84.145.254127.84.145.255126
37127.84.146.0/25127.84.146.1 to 127.84.146.126127.84.146.127126
38127.84.146.128/25127.84.146.129 to 127.84.146.254127.84.146.255126
39127.84.147.0/25127.84.147.1 to 127.84.147.126127.84.147.127126
40127.84.147.128/25127.84.147.129 to 127.84.147.254127.84.147.255126
41127.84.148.0/25127.84.148.1 to 127.84.148.126127.84.148.127126
42127.84.148.128/25127.84.148.129 to 127.84.148.254127.84.148.255126
43127.84.149.0/25127.84.149.1 to 127.84.149.126127.84.149.127126
44127.84.149.128/25127.84.149.129 to 127.84.149.254127.84.149.255126
45127.84.150.0/25127.84.150.1 to 127.84.150.126127.84.150.127126
46127.84.150.128/25127.84.150.129 to 127.84.150.254127.84.150.255126
47127.84.151.0/25127.84.151.1 to 127.84.151.126127.84.151.127126
48127.84.151.128/25127.84.151.129 to 127.84.151.254127.84.151.255126
49127.84.152.0/25127.84.152.1 to 127.84.152.126127.84.152.127126
50127.84.152.128/25127.84.152.129 to 127.84.152.254127.84.152.255126
51127.84.153.0/25127.84.153.1 to 127.84.153.126127.84.153.127126
52127.84.153.128/25127.84.153.129 to 127.84.153.254127.84.153.255126
53127.84.154.0/25127.84.154.1 to 127.84.154.126127.84.154.127126
54127.84.154.128/25127.84.154.129 to 127.84.154.254127.84.154.255126
55127.84.155.0/25127.84.155.1 to 127.84.155.126127.84.155.127126
56127.84.155.128/25127.84.155.129 to 127.84.155.254127.84.155.255126
57127.84.156.0/25127.84.156.1 to 127.84.156.126127.84.156.127126
58127.84.156.128/25127.84.156.129 to 127.84.156.254127.84.156.255126
59127.84.157.0/25127.84.157.1 to 127.84.157.126127.84.157.127126
60127.84.157.128/25127.84.157.129 to 127.84.157.254127.84.157.255126
61127.84.158.0/25127.84.158.1 to 127.84.158.126127.84.158.127126
62127.84.158.128/25127.84.158.129 to 127.84.158.254127.84.158.255126
63127.84.159.0/25127.84.159.1 to 127.84.159.126127.84.159.127126
64127.84.159.128/25127.84.159.129 to 127.84.159.254127.84.159.255126
65127.84.160.0/25127.84.160.1 to 127.84.160.126127.84.160.127126
66127.84.160.128/25127.84.160.129 to 127.84.160.254127.84.160.255126
67127.84.161.0/25127.84.161.1 to 127.84.161.126127.84.161.127126
68127.84.161.128/25127.84.161.129 to 127.84.161.254127.84.161.255126
69127.84.162.0/25127.84.162.1 to 127.84.162.126127.84.162.127126
70127.84.162.128/25127.84.162.129 to 127.84.162.254127.84.162.255126
71127.84.163.0/25127.84.163.1 to 127.84.163.126127.84.163.127126
72127.84.163.128/25127.84.163.129 to 127.84.163.254127.84.163.255126
73127.84.164.0/25127.84.164.1 to 127.84.164.126127.84.164.127126
74127.84.164.128/25127.84.164.129 to 127.84.164.254127.84.164.255126
75127.84.165.0/25127.84.165.1 to 127.84.165.126127.84.165.127126
76127.84.165.128/25127.84.165.129 to 127.84.165.254127.84.165.255126
77127.84.166.0/25127.84.166.1 to 127.84.166.126127.84.166.127126
78127.84.166.128/25127.84.166.129 to 127.84.166.254127.84.166.255126
79127.84.167.0/25127.84.167.1 to 127.84.167.126127.84.167.127126
80127.84.167.128/25127.84.167.129 to 127.84.167.254127.84.167.255126
81127.84.168.0/25127.84.168.1 to 127.84.168.126127.84.168.127126
82127.84.168.128/25127.84.168.129 to 127.84.168.254127.84.168.255126
83127.84.169.0/25127.84.169.1 to 127.84.169.126127.84.169.127126
84127.84.169.128/25127.84.169.129 to 127.84.169.254127.84.169.255126
85127.84.170.0/25127.84.170.1 to 127.84.170.126127.84.170.127126
86127.84.170.128/25127.84.170.129 to 127.84.170.254127.84.170.255126
87127.84.171.0/25127.84.171.1 to 127.84.171.126127.84.171.127126
88127.84.171.128/25127.84.171.129 to 127.84.171.254127.84.171.255126
89127.84.172.0/25127.84.172.1 to 127.84.172.126127.84.172.127126
90127.84.172.128/25127.84.172.129 to 127.84.172.254127.84.172.255126
91127.84.173.0/25127.84.173.1 to 127.84.173.126127.84.173.127126
92127.84.173.128/25127.84.173.129 to 127.84.173.254127.84.173.255126
93127.84.174.0/25127.84.174.1 to 127.84.174.126127.84.174.127126
94127.84.174.128/25127.84.174.129 to 127.84.174.254127.84.174.255126
95127.84.175.0/25127.84.175.1 to 127.84.175.126127.84.175.127126
96127.84.175.128/25127.84.175.129 to 127.84.175.254127.84.175.255126
97127.84.176.0/25127.84.176.1 to 127.84.176.126127.84.176.127126
98127.84.176.128/25127.84.176.129 to 127.84.176.254127.84.176.255126
99127.84.177.0/25127.84.177.1 to 127.84.177.126127.84.177.127126
100127.84.177.128/25127.84.177.129 to 127.84.177.254127.84.177.255126
101127.84.178.0/25127.84.178.1 to 127.84.178.126127.84.178.127126
102127.84.178.128/25127.84.178.129 to 127.84.178.254127.84.178.255126
103127.84.179.0/25127.84.179.1 to 127.84.179.126127.84.179.127126
104127.84.179.128/25127.84.179.129 to 127.84.179.254127.84.179.255126
105127.84.180.0/25127.84.180.1 to 127.84.180.126127.84.180.127126
106127.84.180.128/25127.84.180.129 to 127.84.180.254127.84.180.255126
107127.84.181.0/25127.84.181.1 to 127.84.181.126127.84.181.127126
108127.84.181.128/25127.84.181.129 to 127.84.181.254127.84.181.255126
109127.84.182.0/25127.84.182.1 to 127.84.182.126127.84.182.127126
110127.84.182.128/25127.84.182.129 to 127.84.182.254127.84.182.255126
111127.84.183.0/25127.84.183.1 to 127.84.183.126127.84.183.127126
112127.84.183.128/25127.84.183.129 to 127.84.183.254127.84.183.255126
113127.84.184.0/25127.84.184.1 to 127.84.184.126127.84.184.127126
114127.84.184.128/25127.84.184.129 to 127.84.184.254127.84.184.255126
115127.84.185.0/25127.84.185.1 to 127.84.185.126127.84.185.127126
116127.84.185.128/25127.84.185.129 to 127.84.185.254127.84.185.255126
117127.84.186.0/25127.84.186.1 to 127.84.186.126127.84.186.127126
118127.84.186.128/25127.84.186.129 to 127.84.186.254127.84.186.255126
119127.84.187.0/25127.84.187.1 to 127.84.187.126127.84.187.127126
120127.84.187.128/25127.84.187.129 to 127.84.187.254127.84.187.255126
121127.84.188.0/25127.84.188.1 to 127.84.188.126127.84.188.127126
122127.84.188.128/25127.84.188.129 to 127.84.188.254127.84.188.255126
123127.84.189.0/25127.84.189.1 to 127.84.189.126127.84.189.127126
124127.84.189.128/25127.84.189.129 to 127.84.189.254127.84.189.255126
125127.84.190.0/25127.84.190.1 to 127.84.190.126127.84.190.127126
126127.84.190.128/25127.84.190.129 to 127.84.190.254127.84.190.255126
127127.84.191.0/25127.84.191.1 to 127.84.191.126127.84.191.127126
128127.84.191.128/25127.84.191.129 to 127.84.191.254127.84.191.255126
129127.84.192.0/25127.84.192.1 to 127.84.192.126127.84.192.127126
130127.84.192.128/25127.84.192.129 to 127.84.192.254127.84.192.255126
131127.84.193.0/25127.84.193.1 to 127.84.193.126127.84.193.127126
132127.84.193.128/25127.84.193.129 to 127.84.193.254127.84.193.255126
133127.84.194.0/25127.84.194.1 to 127.84.194.126127.84.194.127126
134127.84.194.128/25127.84.194.129 to 127.84.194.254127.84.194.255126
135127.84.195.0/25127.84.195.1 to 127.84.195.126127.84.195.127126
136127.84.195.128/25127.84.195.129 to 127.84.195.254127.84.195.255126
137127.84.196.0/25127.84.196.1 to 127.84.196.126127.84.196.127126
138127.84.196.128/25127.84.196.129 to 127.84.196.254127.84.196.255126
139127.84.197.0/25127.84.197.1 to 127.84.197.126127.84.197.127126
140127.84.197.128/25127.84.197.129 to 127.84.197.254127.84.197.255126
141127.84.198.0/25127.84.198.1 to 127.84.198.126127.84.198.127126
142127.84.198.128/25127.84.198.129 to 127.84.198.254127.84.198.255126
143127.84.199.0/25127.84.199.1 to 127.84.199.126127.84.199.127126
144127.84.199.128/25127.84.199.129 to 127.84.199.254127.84.199.255126
145127.84.200.0/25127.84.200.1 to 127.84.200.126127.84.200.127126
146127.84.200.128/25127.84.200.129 to 127.84.200.254127.84.200.255126
147127.84.201.0/25127.84.201.1 to 127.84.201.126127.84.201.127126
148127.84.201.128/25127.84.201.129 to 127.84.201.254127.84.201.255126
149127.84.202.0/25127.84.202.1 to 127.84.202.126127.84.202.127126
150127.84.202.128/25127.84.202.129 to 127.84.202.254127.84.202.255126
151127.84.203.0/25127.84.203.1 to 127.84.203.126127.84.203.127126
152127.84.203.128/25127.84.203.129 to 127.84.203.254127.84.203.255126
153127.84.204.0/25127.84.204.1 to 127.84.204.126127.84.204.127126
154127.84.204.128/25127.84.204.129 to 127.84.204.254127.84.204.255126
155127.84.205.0/25127.84.205.1 to 127.84.205.126127.84.205.127126
156127.84.205.128/25127.84.205.129 to 127.84.205.254127.84.205.255126
157127.84.206.0/25127.84.206.1 to 127.84.206.126127.84.206.127126
158127.84.206.128/25127.84.206.129 to 127.84.206.254127.84.206.255126
159127.84.207.0/25127.84.207.1 to 127.84.207.126127.84.207.127126
160127.84.207.128/25127.84.207.129 to 127.84.207.254127.84.207.255126
161127.84.208.0/25127.84.208.1 to 127.84.208.126127.84.208.127126
162127.84.208.128/25127.84.208.129 to 127.84.208.254127.84.208.255126
163127.84.209.0/25127.84.209.1 to 127.84.209.126127.84.209.127126
164127.84.209.128/25127.84.209.129 to 127.84.209.254127.84.209.255126
165127.84.210.0/25127.84.210.1 to 127.84.210.126127.84.210.127126
166127.84.210.128/25127.84.210.129 to 127.84.210.254127.84.210.255126
167127.84.211.0/25127.84.211.1 to 127.84.211.126127.84.211.127126
168127.84.211.128/25127.84.211.129 to 127.84.211.254127.84.211.255126
169127.84.212.0/25127.84.212.1 to 127.84.212.126127.84.212.127126
170127.84.212.128/25127.84.212.129 to 127.84.212.254127.84.212.255126
171127.84.213.0/25127.84.213.1 to 127.84.213.126127.84.213.127126
172127.84.213.128/25127.84.213.129 to 127.84.213.254127.84.213.255126
173127.84.214.0/25127.84.214.1 to 127.84.214.126127.84.214.127126
174127.84.214.128/25127.84.214.129 to 127.84.214.254127.84.214.255126
175127.84.215.0/25127.84.215.1 to 127.84.215.126127.84.215.127126
176127.84.215.128/25127.84.215.129 to 127.84.215.254127.84.215.255126
177127.84.216.0/25127.84.216.1 to 127.84.216.126127.84.216.127126
178127.84.216.128/25127.84.216.129 to 127.84.216.254127.84.216.255126
179127.84.217.0/25127.84.217.1 to 127.84.217.126127.84.217.127126
180127.84.217.128/25127.84.217.129 to 127.84.217.254127.84.217.255126
181127.84.218.0/25127.84.218.1 to 127.84.218.126127.84.218.127126
182127.84.218.128/25127.84.218.129 to 127.84.218.254127.84.218.255126
183127.84.219.0/25127.84.219.1 to 127.84.219.126127.84.219.127126
184127.84.219.128/25127.84.219.129 to 127.84.219.254127.84.219.255126
185127.84.220.0/25127.84.220.1 to 127.84.220.126127.84.220.127126
186127.84.220.128/25127.84.220.129 to 127.84.220.254127.84.220.255126
187127.84.221.0/25127.84.221.1 to 127.84.221.126127.84.221.127126
188127.84.221.128/25127.84.221.129 to 127.84.221.254127.84.221.255126
189127.84.222.0/25127.84.222.1 to 127.84.222.126127.84.222.127126
190127.84.222.128/25127.84.222.129 to 127.84.222.254127.84.222.255126
191127.84.223.0/25127.84.223.1 to 127.84.223.126127.84.223.127126
192127.84.223.128/25127.84.223.129 to 127.84.223.254127.84.223.255126
193127.84.224.0/25127.84.224.1 to 127.84.224.126127.84.224.127126
194127.84.224.128/25127.84.224.129 to 127.84.224.254127.84.224.255126
195127.84.225.0/25127.84.225.1 to 127.84.225.126127.84.225.127126
196127.84.225.128/25127.84.225.129 to 127.84.225.254127.84.225.255126
197127.84.226.0/25127.84.226.1 to 127.84.226.126127.84.226.127126
198127.84.226.128/25127.84.226.129 to 127.84.226.254127.84.226.255126
199127.84.227.0/25127.84.227.1 to 127.84.227.126127.84.227.127126
200127.84.227.128/25127.84.227.129 to 127.84.227.254127.84.227.255126
201127.84.228.0/25127.84.228.1 to 127.84.228.126127.84.228.127126
202127.84.228.128/25127.84.228.129 to 127.84.228.254127.84.228.255126
203127.84.229.0/25127.84.229.1 to 127.84.229.126127.84.229.127126
204127.84.229.128/25127.84.229.129 to 127.84.229.254127.84.229.255126
205127.84.230.0/25127.84.230.1 to 127.84.230.126127.84.230.127126
206127.84.230.128/25127.84.230.129 to 127.84.230.254127.84.230.255126
207127.84.231.0/25127.84.231.1 to 127.84.231.126127.84.231.127126
208127.84.231.128/25127.84.231.129 to 127.84.231.254127.84.231.255126
209127.84.232.0/25127.84.232.1 to 127.84.232.126127.84.232.127126
210127.84.232.128/25127.84.232.129 to 127.84.232.254127.84.232.255126
211127.84.233.0/25127.84.233.1 to 127.84.233.126127.84.233.127126
212127.84.233.128/25127.84.233.129 to 127.84.233.254127.84.233.255126
213127.84.234.0/25127.84.234.1 to 127.84.234.126127.84.234.127126
214127.84.234.128/25127.84.234.129 to 127.84.234.254127.84.234.255126
215127.84.235.0/25127.84.235.1 to 127.84.235.126127.84.235.127126
216127.84.235.128/25127.84.235.129 to 127.84.235.254127.84.235.255126
217127.84.236.0/25127.84.236.1 to 127.84.236.126127.84.236.127126
218127.84.236.128/25127.84.236.129 to 127.84.236.254127.84.236.255126
219127.84.237.0/25127.84.237.1 to 127.84.237.126127.84.237.127126
220127.84.237.128/25127.84.237.129 to 127.84.237.254127.84.237.255126
221127.84.238.0/25127.84.238.1 to 127.84.238.126127.84.238.127126
222127.84.238.128/25127.84.238.129 to 127.84.238.254127.84.238.255126
223127.84.239.0/25127.84.239.1 to 127.84.239.126127.84.239.127126
224127.84.239.128/25127.84.239.129 to 127.84.239.254127.84.239.255126
225127.84.240.0/25127.84.240.1 to 127.84.240.126127.84.240.127126
226127.84.240.128/25127.84.240.129 to 127.84.240.254127.84.240.255126
227127.84.241.0/25127.84.241.1 to 127.84.241.126127.84.241.127126
228127.84.241.128/25127.84.241.129 to 127.84.241.254127.84.241.255126
229127.84.242.0/25127.84.242.1 to 127.84.242.126127.84.242.127126
230127.84.242.128/25127.84.242.129 to 127.84.242.254127.84.242.255126
231127.84.243.0/25127.84.243.1 to 127.84.243.126127.84.243.127126
232127.84.243.128/25127.84.243.129 to 127.84.243.254127.84.243.255126
233127.84.244.0/25127.84.244.1 to 127.84.244.126127.84.244.127126
234127.84.244.128/25127.84.244.129 to 127.84.244.254127.84.244.255126
235127.84.245.0/25127.84.245.1 to 127.84.245.126127.84.245.127126
236127.84.245.128/25127.84.245.129 to 127.84.245.254127.84.245.255126
237127.84.246.0/25127.84.246.1 to 127.84.246.126127.84.246.127126
238127.84.246.128/25127.84.246.129 to 127.84.246.254127.84.246.255126
239127.84.247.0/25127.84.247.1 to 127.84.247.126127.84.247.127126
240127.84.247.128/25127.84.247.129 to 127.84.247.254127.84.247.255126
241127.84.248.0/25127.84.248.1 to 127.84.248.126127.84.248.127126
242127.84.248.128/25127.84.248.129 to 127.84.248.254127.84.248.255126
243127.84.249.0/25127.84.249.1 to 127.84.249.126127.84.249.127126
244127.84.249.128/25127.84.249.129 to 127.84.249.254127.84.249.255126
245127.84.250.0/25127.84.250.1 to 127.84.250.126127.84.250.127126
246127.84.250.128/25127.84.250.129 to 127.84.250.254127.84.250.255126
247127.84.251.0/25127.84.251.1 to 127.84.251.126127.84.251.127126
248127.84.251.128/25127.84.251.129 to 127.84.251.254127.84.251.255126
249127.84.252.0/25127.84.252.1 to 127.84.252.126127.84.252.127126
250127.84.252.128/25127.84.252.129 to 127.84.252.254127.84.252.255126
251127.84.253.0/25127.84.253.1 to 127.84.253.126127.84.253.127126
252127.84.253.128/25127.84.253.129 to 127.84.253.254127.84.253.255126
253127.84.254.0/25127.84.254.1 to 127.84.254.126127.84.254.127126
254127.84.254.128/25127.84.254.129 to 127.84.254.254127.84.254.255126
255127.84.255.0/25127.84.255.1 to 127.84.255.126127.84.255.127126
256127.84.255.128/25127.84.255.129 to 127.84.255.254127.84.255.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses